# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KKeyServer Namespace Reference

A collection of functions for the conversion of key presses and their modifiers from the window system (X11) specific format to the generic format and vice-versa. More...

## Classes

struct | Sym
| Represents a key symbol. More...
struct | Key
| Represents a key press. More...
struct | Variations
| TODO: please document this class. More...

## Enumerations

enum | ExtraModFlag { MODE_SWITCH = 0x2000 }

Supplement enum KKey::ModFlag

Since:
  3.1.

More...

## Functions

bool | initializeMods ()
| TODO: please document.
uint | modX (KKey::ModFlag modFlag)
| Returns the equivalent X modifier mask of the given modifier flag.
bool | keyboardHasWinKey ()
| Returns true if the current keyboard layout supports the Win key.
uint | modXShift ()
| Returns the X11 Shift modifier mask/flag.
uint | modXLock ()
| Returns the X11 Lock modifier mask/flag.
uint | modXCtrl ()
| Returns the X11 Ctrl modifier mask/flag.
uint | modXAlt ()
| Returns the X11 Alt (Mod1) modifier mask/flag.
uint | modXNumLock ()
| Returns the X11 NumLock modifier mask/flag.
uint | modXWin ()
| Returns the X11 Win (Mod3) modifier mask/flag.
uint | modXScrollLock ()
| Returns the X11 ScrollLock modifier mask/flag.
uint | accelModMaskX ()
| Returns bitwise OR'ed mask containing Shift, Ctrl, Alt, and Win (if available).
bool | keyQtToSym (int keyQt, uint &sym)
| Extracts the symbol from the given Qt key and converts it to a symbol.
bool | keyQtToMod (int keyQt, uint &mod)
| Extracts the modifiers from the given Qt key and converts them in a mask of ORed KKey::ModFlag modifiers.
bool | symToKeyQt (uint sym, int &keyQt)
| Converts the given symbol to a Qt key code.
bool | modToModQt (uint mod, int &modQt)
| Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed Qt key code modifiers.
bool | modToModX (uint mod, uint &modX)
| Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed X11 modifiers.
bool | modXToModQt (uint modX, int &modQt)
| Converts the mask of ORed X11 modifiers to a mask of ORed Qt key code modifiers.
bool | modXToMod (uint modX, uint &mod)
| Converts the mask of ORed X11 modifiers to a mask of ORed KKey::ModFlag modifiers.
bool | codeXToSym (uchar codeX, uint modX, uint &symX)
| Converts a X11 key code and a mask of ORed X11 modifiers into a X11 symbol.
QString | modToStringInternal (uint mod)
QString | modToStringUser (uint mod)
| Converts the mask of ORed KKey::ModFlag modifiers to a user-readable string.
bool | stringToSymMod (const QString &, uint &sym, uint &mod)
void | keyQtToKeyX (uint keyCombQt, unsigned char *pKeyCodeX, uint *pKeySymX, uint *pKeyModX)

## Detailed Description

A collection of functions for the conversion of key presses and their modifiers from the window system (X11) specific format to the generic format and vice-versa.

## Enumeration Type Documentation

enum KKeyServer::ExtraModFlag

Supplement enum KKey::ModFlag

Since:
  3.1.

Definition at line 18 of file kkeyserver_x11.h.

## Function Documentation

bool initializeMods | ( |  | ) |

| TODO: please document.

uint modX | ( | KKey::ModFlag | modFlag | ) |

Returns the equivalent X modifier mask of the given modifier flag.

Parameters:

  modFlag | the generic flags to check

Returns:
  the window system specific flags

bool keyboardHasWinKey | ( |  | ) |

Returns true if the current keyboard layout supports the Win key.

Specifically, whether the Super or Meta keys are assigned to an X modifier.

Returns:
  true if the keyboard has a Win key

See also:
  modXWin()

uint modXShift | ( |  | ) |

Returns the X11 Shift modifier mask/flag.

Returns:
  the X11 Shift modifier mask/flag.

See also:
  accelModMaskX()

uint modXLock | ( |  | ) |

Returns the X11 Lock modifier mask/flag.

Returns:
  the X11 Lock modifier mask/flag.

See also:
  accelModMaskX()

uint modXCtrl | ( |  | ) |

Returns the X11 Ctrl modifier mask/flag.

Returns:
  the X11 Ctrl modifier mask/flag.

See also:
  accelModMaskX()

uint modXAlt | ( |  | ) |

Returns the X11 Alt (Mod1) modifier mask/flag.

Returns:
  the X11 Alt (Mod1) modifier mask/flag.

See also:
  accelModMaskX()

uint modXNumLock | ( |  | ) |

Returns the X11 NumLock modifier mask/flag.

Returns:
  the X11 NumLock modifier mask/flag.

See also:
  accelModMaskX()

uint modXWin | ( |  | ) |

Returns the X11 Win (Mod3) modifier mask/flag.

Returns:
  the X11 Win (Mod3) modifier mask/flag.

See also:
  keyboardHasWinKey()

  accelModMaskX()

uint modXScrollLock | ( |  | ) |

Returns the X11 ScrollLock modifier mask/flag.

Returns:
  the X11 ScrollLock modifier mask/flag.

See also:
  accelModMaskX()

uint accelModMaskX | ( |  | ) |

Returns bitwise OR'ed mask containing Shift, Ctrl, Alt, and Win (if available).

See also:
  modXShift()

  modXLock()

  modXCtrl()

  modXAlt()

  modXNumLock()

  modXWin()

  modXScrollLock()

bool keyQtToSym | ( | int | keyQt,
|  | uint & | sym
| ) |

Extracts the symbol from the given Qt key and converts it to a symbol.

Parameters:

  keyQt | the qt key code
  sym | if successful, the symbol will be written here

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

  Sym

bool keyQtToMod | ( | int | keyQt,
|  | uint & | mod
| ) |

Extracts the modifiers from the given Qt key and converts them in a mask of ORed KKey::ModFlag modifiers.

Parameters:

  keyQt | the qt key code
  mod | if successful, the modifiers will be written here

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

bool symToKeyQt | ( | uint | sym,
|  | int & | keyQt
| ) |

Converts the given symbol to a Qt key code.

Parameters:

  sym | the symbol
  keyQt | if successful, the qt key code will be written here

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

  Sym

bool modToModQt | ( | uint | mod,
|  | int & | modQt
| ) |

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed Qt key code modifiers.

Parameters:

  the | mask of KKey::ModFlag modifiers
  the | mask of Qt key code modifiers will be written here, if successful

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

  KKey

bool modToModX | ( | uint | mod,
|  | uint & | modX
| ) |

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed X11 modifiers.

Parameters:

  the | mask of KKey::ModFlag modifiers
  the | mask of X11 modifiers will be written here, if successful

Returns:
  true if successful, false otherwise

See also:
  KKey

bool modXToModQt | ( | uint | modX,
|  | int & | modQt
| ) |

Converts the mask of ORed X11 modifiers to a mask of ORed Qt key code modifiers.

Parameters:

  the | mask of X11 modifiers
  the | mask of Qt key code modifiers will be written here if successful

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

bool modXToMod | ( | uint | modX,
|  | uint & | mod
| ) |

Converts the mask of ORed X11 modifiers to a mask of ORed KKey::ModFlag modifiers.

Parameters:

  the | mask of X11 modifiers
  the | mask of KKey::ModFlag modifiers will be written here, if successful

Returns:
  true if successful, false otherwise

See also:
  KKey

bool codeXToSym | ( | uchar | codeX,
|  | uint | modX,
|  | uint & | symX
| ) |

Converts a X11 key code and a mask of ORed X11 modifiers into a X11 symbol.

converts it to a symbol.

Parameters:

  codeX | the X11 key code
  modX | the mask of ORed X11 modifiers
  sym | if successful, the X11 symbol will be written here

Returns:
  true if successful, false otherwise

See also:
  Qt::Key

  Sym

QString modToStringUser | ( | uint | mod | ) |

Converts the mask of ORed KKey::ModFlag modifiers to a user-readable string.

Parameters:

  mod | the mask of ORed KKey::ModFlag modifiers

Returns:
  the user-readable string

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001